package com.cqut.stack.bn.controller;

import com.cqut.stack.bn.pojo.dto.file.DeleteAttachmentDTO;
import com.cqut.stack.bn.pojo.dto.file.UploadAttachmentDTO;
import com.cqut.stack.bn.service.AttachmentService;
import com.cqut.stack.bn.util.jsonResult.CodeMessage;
import com.cqut.stack.bn.util.jsonResult.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@Api(tags = "附件管理")
@RequestMapping("/api/attachment")
public class AttachmentController {

    @Resource
    private AttachmentService attachmentService;

    @ApiOperation(value = "上传附件")
    @PostMapping("/uploadAttachment")
    public Result<?> uploadAttachment(@Validated UploadAttachmentDTO dto){
        attachmentService.uploadAttachment(dto.getMultipartFile(),dto.getBusinessId());
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }

    @ApiOperation(value = "删除附件")
    @PostMapping("/deleteAttachment")
    public Result<?> deleteAttachment(@Validated @RequestBody DeleteAttachmentDTO dto){
        attachmentService.deleteAttachment(dto.getAttachId());
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }
}
