package com.cqut.stack.bn.controller;

import com.cqut.stack.bn.pojo.dto.metadata.SynchronizeDataDTO;
import com.cqut.stack.bn.util.jsonResult.CodeMessage;
import com.cqut.stack.bn.util.jsonResult.Result;
import com.cqut.stack.bn.pojo.dto.metadata.QueryMetaDataListDTO;
import com.cqut.stack.bn.pojo.vo.matadata.QueryMetaDataListVO;
import com.cqut.stack.bn.service.MetadataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@Api(tags = "元数据库")
@RequestMapping("/api/metadata")
public class MetadataController {

    @Resource
    private MetadataService metadataService;

    @ApiOperation("元数据主列表分页查询")
    @PostMapping("queryMetaDataList")
    public Result<QueryMetaDataListVO> queryMetaDataList(@RequestBody @Validated QueryMetaDataListDTO dto) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS, metadataService.queryMetaDataList(dto));
    }

    @ApiOperation("根据表格id生成建表sql语句")
    @PostMapping("/generateTable")
    public String generateTable(@RequestBody Integer tableId) {
        return metadataService.generateTable(tableId);
    }

    @ApiOperation("通用第三方接口数据同步")
    @PostMapping("/synchronizeData")
    public Result<?> synchronizeData(@RequestBody @Validated SynchronizeDataDTO dto) {
        metadataService.synchronizeData(dto);
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }
}
