package com.cqut.stack.bn.controller;

import com.cqut.stack.bn.pojo.dto.permission.PermissionGetListInputDTO;
import com.cqut.stack.bn.pojo.dto.role.AddRoleDTO;
import com.cqut.stack.bn.pojo.dto.role.DeleteRoleDTO;
import com.cqut.stack.bn.pojo.dto.role.RoleDTO;
import com.cqut.stack.bn.util.jsonResult.JSONResult;
import com.cqut.stack.bn.service.RoleService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
@CrossOrigin
@Api("角色管理")
@RequestMapping("/Role")
public class RoleController {
    @Autowired
    private RoleService roleService;

    @RequestMapping(method = RequestMethod.GET, value = "/getRoleList")
    public JSONResult getRoleList(@Validated PermissionGetListInputDTO inputDTO){
        return new JSONResult(roleService.getRoleList(inputDTO));
    }

    @RequestMapping(method = RequestMethod.GET, value = "/getEditInfo")
    public JSONResult getEditInfo(@Validated DeleteRoleDTO input){
        return new JSONResult(roleService.getEditInfo(input.getRoleId()));
    }

    @RequestMapping(method = RequestMethod.POST, value = "/addRole")
    public JSONResult addRole(@RequestBody @Validated AddRoleDTO addRoleDTO){
        JSONResult jsonResult = new JSONResult();
        boolean success = roleService.addRole(addRoleDTO);
        if(success){
            jsonResult.setMessage("新增角色成功");
        } else{
            jsonResult.setMessage("新增角色失败");
        }
        return jsonResult;
    }

    @RequestMapping(method = RequestMethod.POST, value = "/editRole")
    public JSONResult editRole(@RequestBody  @Validated RoleDTO roleDTO){
        JSONResult jsonResult = new JSONResult();
        boolean success = roleService.editRole(roleDTO);
        if(success){
            jsonResult.setMessage("编辑角色成功");
        } else{
            jsonResult.setMessage("编辑角色失败");
        }
        return jsonResult;
    }

    @RequestMapping(method = RequestMethod.POST, value = "/deleteRole")
    public JSONResult deleteRole(@RequestBody @Validated DeleteRoleDTO input){
        JSONResult jsonResult = new JSONResult();
        boolean success = roleService.deleteRole(input.getRoleId());
        if(success){
            jsonResult.setMessage("角色删除成功");
        } else{
            jsonResult.setMessage("角色删除失败");
        }
        return jsonResult;
    }

    @RequestMapping(method = RequestMethod.GET, value = "/getPermissionList")
    public JSONResult getPermissionList(){
        return new JSONResult(roleService.getPermissionList());
    }

}
