package com.cqut.stack.bn.pojo.dto.metadata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("元数据主列表分页查询入参")
public class QueryMetaDataListDTO {

    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

    @ApiModelProperty(value = "数据表备注")
    private String tableRemark;

    @ApiModelProperty(value = "所属系统（0：12345，1：公共资源交易中心，2：政府服务）")
    private Integer ownerType;

    @ApiModelProperty(value = "后端参数，前端忽略",hidden = true)
    private List<Integer> tableIdList;
}
