package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDate;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("area_transaction")
@ApiModel(value="AreaTransaction对象", description="区域交易情况")
public class AreaTransaction implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "区域名称")
    @TableField("area_name")
    private String areaName;

    @ApiModelProperty(value = "交易金额")
    @TableField("transaction_amount")
    private Double transactionAmount;

    @ApiModelProperty(value = "节约金额")
    @TableField("save_amount")
    private Double saveAmount;

    @ApiModelProperty(value = "交易宗数")
    @TableField("transaction_count")
    private Integer transactionCount;

    @ApiModelProperty(value = "交易类别（0：工程建设，1：政府采购，2：土地矿权，3：资源财产，4：其它交易）")
    @TableField("transaction_type")
    private Integer transactionType;

    @ApiModelProperty(value = "统计时间")
    @TableField("stat_date")
    private LocalDate statDate;

    @ApiModelProperty(value = "预算金额")
    @TableField("budget_amount")
    private Double budgetAmount;


}
