package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 可视化系统数据字典
 * </p>
 *
 * @author ${author}
 * @since 2024-11-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("database_field")
@ApiModel(value="DatabaseField对象", description="可视化系统数据字典")
public class DatabaseField implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "表格id")
    @TableField("table_id")
    private Integer tableId;

    @ApiModelProperty(value = "字段名称")
    @TableField("field_name")
    private String fieldName;

    @ApiModelProperty(value = "字段类型")
    @TableField("field_type")
    private String fieldType;

    @ApiModelProperty(value = "字段长度")
    @TableField("field_length")
    private Integer fieldLength;

    @ApiModelProperty(value = "字段是否为空(0：否，1：是)")
    @TableField("is_null")
    private Integer isNull;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "远程字段类型")
    @TableField("remote_field_name")
    private String remoteFieldName;


}
