package com.cqut.stack.bn.pojo.entity;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

@Data
public class DistrictHandle implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)区县名称
     */
    private Integer districtName;

    /**
     * 受理量
     */
    private Integer acceptCount;

    /**
     * 交办量
     */
    private Integer handleCount;

    /**
     * 办结率
     */
    private Double handlePercent;

    /**
     * 统计日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;

    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DistrictHandle other = (DistrictHandle) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDistrictName() == null ? other.getDistrictName() == null : this.getDistrictName().equals(other.getDistrictName()))
            && (this.getAcceptCount() == null ? other.getAcceptCount() == null : this.getAcceptCount().equals(other.getAcceptCount()))
            && (this.getHandleCount() == null ? other.getHandleCount() == null : this.getHandleCount().equals(other.getHandleCount()))
            && (this.getHandlePercent() == null ? other.getHandlePercent() == null : this.getHandlePercent().equals(other.getHandlePercent()))
            && (this.getStatDate() == null ? other.getStatDate() == null : this.getStatDate().equals(other.getStatDate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDistrictName() == null) ? 0 : getDistrictName().hashCode());
        result = prime * result + ((getAcceptCount() == null) ? 0 : getAcceptCount().hashCode());
        result = prime * result + ((getHandleCount() == null) ? 0 : getHandleCount().hashCode());
        result = prime * result + ((getHandlePercent() == null) ? 0 : getHandlePercent().hashCode());
        result = prime * result + ((getStatDate() == null) ? 0 : getStatDate().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", districtName=").append(districtName);
        sb.append(", acceptCount=").append(acceptCount);
        sb.append(", handleCount=").append(handleCount);
        sb.append(", handlePercent=").append(handlePercent);
        sb.append(", statDate=").append(statDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}