package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("electronic_certificate")
@ApiModel(value="ElectronicCertificate对象", description="电子证照")
public class ElectronicCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "需产生证照的办件数")
    @TableField("need_certificate_count")
    private Integer needCertificateCount;

    @ApiModelProperty(value = "产生证照的办件数")
    @TableField("create_certificate_count")
    private Integer createCertificateCount;

    @ApiModelProperty(value = "未产生证照的办件数")
    @TableField("uncreate_certificate_count")
    private Integer uncreateCertificateCount;

    @ApiModelProperty(value = "证照生产率")
    @TableField("certificate_create_probability")
    private Double certificateCreateProbability;

    @ApiModelProperty(value = "区县名称")
    @TableField("district_name")
    private Integer districtName;

    @ApiModelProperty(value = "统计日期")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;

}
