package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("electronic_seal")
@ApiModel(value = "ElectronicSeal对象", description = "电子印章")
public class ElectronicSeal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "印章申领数")
    @TableField("seal_apply_count")
    private Integer sealApplyCount;

    @ApiModelProperty(value = "印章制作数")
    @TableField("seal_make_count")
    private Integer sealMakeCount;

    @ApiModelProperty(value = "用章数")
    @TableField("used_seal_count")
    private Integer usedSealCount;

    @ApiModelProperty(value = "已制作印章部门数")
    @TableField("make_seal_dept_count")
    private Integer makeSealDeptCount;

    @ApiModelProperty(value = "未制作印章部门数")
    @TableField("no_seal_dept_count")
    private Integer noSealDeptCount;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    @TableField("district_name")
    private Integer districtName;

    @ApiModelProperty(value = "统计日期")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;
}
