package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("four_office_info")
@ApiModel(value="FourOfficeInfo对象", description="四办情况")
public class FourOfficeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "办理类别（0：马上办，1：网上办，2：一次办）")
    @TableField("process_type")
    private Integer processType;

    @ApiModelProperty(value = "办理件数")
    @TableField("process_count")
    private Integer processCount;

    @ApiModelProperty(value = "占比")
    @TableField("account")
    private Double account;

    @ApiModelProperty(value = "统计日期")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    @TableField("district_name")
    private Integer districtName;


}
