package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("organization_info")
@ApiModel(value="OrganizationInfo对象", description="组织架构")
public class OrganizationInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "行政区划数")
    @TableField("administrative_division_count")
    private Integer administrativeDivisionCount;

    @ApiModelProperty(value = "组织机构数")
    @TableField("organization_count")
    private Integer organizationCount;

    @ApiModelProperty(value = "工作人员注册数")
    @TableField("worker_register_count")
    private Integer workerRegisterCount;

    @ApiModelProperty(value = "工作人员-认证数")
    @TableField("worker_authentication_count")
    private Integer workerAuthenticationCount;

    @ApiModelProperty(value = "工作人员-登录数")
    @TableField("worker_login_count")
    private Integer workerLoginCount;

    @ApiModelProperty(value = "区县名称(0:南江县，1：通江县，2;巴州区，3：恩阳区，4：平昌县)")
    @TableField("area_name")
    private Integer areaName;

    @ApiModelProperty(value = "分析日期")
    @TableField("stat_date")
    private Date statDate;


}
