package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("resource_transaction")
@ApiModel(value="ResourceTransaction对象", description="公共资源交易")
public class ResourceTransaction implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "交易项目名称")
    @TableField("item_name")
    private String itemName;

    @ApiModelProperty(value = "业主单位")
    @TableField("owner_unit")
    private String ownerUnit;

    @ApiModelProperty(value = "交易日期")
    @TableField("transaction_date")
    private String transactionDate;

    @ApiModelProperty(value = "预算金额")
    @TableField("budget_amount")
    private Double budgetAmount;

    @ApiModelProperty(value = "成交金额")
    @TableField("transaction_amount")
    private Double transactionAmount;
}
