package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("today_acceptance")
@ApiModel(value="TodayAcceptance对象", description="今日话务情况")
public class TodayAcceptance implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "呼出总量")
    @TableField("output_count")
    private Integer outputCount;

    @ApiModelProperty(value = "呼入总量")
    @TableField("input_count")
    private Integer inputCount;

    @ApiModelProperty(value = "呼入接通量")
    @TableField("input_accept_count")
    private Integer inputAcceptCount;

    @ApiModelProperty(value = "呼出接通量")
    @TableField("output_accept_count")
    private Integer outputAcceptCount;

    @ApiModelProperty(value = "呼出平均时长(m)")
    @TableField("output_average_time")
    private Double outputAverageTime;

    @ApiModelProperty(value = "呼入平均时长(m)")
    @TableField("input_average_time")
    private Double inputAverageTime;

    @ApiModelProperty(value = "统计日期")
    @TableField("stat_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statDate;
}
