package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("word_order_detail")
@ApiModel(value="WordOrderDetail对象", description="工单受理详情")
public class WordOrderDetail implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "工单id")
    @TableField("order_id")
    private Integer orderId;

    @ApiModelProperty(value = "受理人")
    @TableField("handle_person")
    private String handlePerson;

    @ApiModelProperty(value = "来源方式")
    @TableField("source_type")
    private String sourceType;

    @ApiModelProperty(value = "受理类型")
    @TableField("accept_type")
    private String acceptType;

    @ApiModelProperty(value = "受理时间")
    @TableField("accept_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date acceptDate;

    @ApiModelProperty(value = "转接来源")
    @TableField("transfer_source")
    private String transferSource;

    @ApiModelProperty(value = "所在区域")
    @TableField("order_area")
    private String orderArea;

    @ApiModelProperty(value = "热点分类")
    @TableField("hot_type")
    private String hotType;

    @ApiModelProperty(value = "来电人")
    @TableField("caller_name")
    private String callerName;

    @ApiModelProperty(value = "性别")
    @TableField("sex")
    private String sex;

    @ApiModelProperty(value = "联系电话")
    @TableField("caller_phone")
    private String callerPhone;

    @ApiModelProperty(value = "联系地址")
    @TableField("caller_adress")
    private String callerAdress;

    @ApiModelProperty(value = "交办时间")
    @TableField("delivery_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deliveryTime;

    @ApiModelProperty(value = "办理时间")
    @TableField("process_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date processTime;

    @ApiModelProperty(value = "归档时间")
    @TableField("archive_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date archiveTime;

    @ApiModelProperty(value = "期满时间")
    @TableField("expiration_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expirationTime;

    @ApiModelProperty(value = "交办部门")
    @TableField("assigned_dept")
    private String assignedDept;

    @ApiModelProperty(value = "办理部门")
    @TableField("process_dept")
    private String processDept;

    @ApiModelProperty(value = "归档部门")
    @TableField("archive_dept")
    private String archiveDept;

    @ApiModelProperty(value = "办理时限")
    @TableField("process_time_limit")
    private String processTimeLimit;

    @ApiModelProperty(value = "受理标题")
    @TableField("acceptance_title")
    private String acceptanceTitle;

    @ApiModelProperty(value = "受理内容")
    @TableField("acceptance_content")
    private String acceptanceContent;

    @ApiModelProperty(value = "中心意见")
    @TableField("central_opinion")
    private String centralOpinion;

    @ApiModelProperty(value = "承办意见")
    @TableField("undertak_opinions")
    private String undertakOpinions;

    @ApiModelProperty(value = "退回意见")
    @TableField("return_opinion")
    private String returnOpinion;


}
