package com.cqut.stack.bn.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("work_order")
@ApiModel(value="WorkOrder对象", description="工单受理列表")
public class WorkOrder implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "工单类型")
    @TableField("order_type")
    private String orderType;

    @ApiModelProperty(value = "来源类型")
    @TableField("resource_type")
    private String resourceType;

    @ApiModelProperty(value = "来电时间")
    @TableField("order_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date orderTime;

    @ApiModelProperty(value = "来电人")
    @TableField("order_person")
    private String orderPerson;

    @ApiModelProperty(value = "来电标题")
    @TableField("order_title")
    private String orderTitle;

    @ApiModelProperty(value = "来电区域")
    @TableField("order_area")
    private String orderArea;


}
