package com.cqut.stack.bn.pojo.enums;

import lombok.Getter;

public class ResourceTradeEnum {
    @Getter
    public enum TradeTypeEnum {

        ENGINEERING_CONSTRUCTION(0, "工程建设"),
        GOVERNMENT_PROCUREMENT(1, "政府采购"),
        LAND_MINING_RIGHTS(2, "土地矿权"),
        RESOURCE_AND_PROPERTY(3, "资源财产"),
        other_transactions(4, "其它交易");

        private final Integer code;
        private final String name;


        TradeTypeEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (ResourceTradeEnum.TradeTypeEnum value : ResourceTradeEnum.TradeTypeEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (ResourceTradeEnum.TradeTypeEnum value : ResourceTradeEnum.TradeTypeEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }
}
