package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.areaEvaluate.AreaEvaluateImportDTO;
import com.cqut.stack.bn.pojo.entity.AreaEvaluate;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class AreaEvaluateListener implements ReadListener<AreaEvaluateImportDTO> {
    private final List<AreaEvaluate> areaEvaluateList = new ArrayList<>();

    @Override
    public void invoke(AreaEvaluateImportDTO areaEvaluateImportDTO, AnalysisContext analysisContext) {
        areaEvaluateImportDTO.setSatisfactionRate(areaEvaluateImportDTO.getSatisfactionRate().split("%")[0]);
        AreaEvaluate areaEvaluate = new AreaEvaluate();
        BeanUtil.copyProperties(areaEvaluateImportDTO,areaEvaluate);

        areaEvaluate.setDistrictName(GovernmentServiceEnum.DistrictEnum.getCodeByName(areaEvaluateImportDTO.getDistrictCode()));
        areaEvaluateList.add(areaEvaluate);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
