package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.areaHandle.AreaHandleImportDTO;
import com.cqut.stack.bn.pojo.dto.electronicCertificate.ElectronicCertificateImportDTO;
import com.cqut.stack.bn.pojo.entity.AreaHandle;
import com.cqut.stack.bn.pojo.entity.ElectronicCertificate;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class AreaHandleListener implements ReadListener<AreaHandleImportDTO> {

    private final List<AreaHandle> areaHandleList = new ArrayList<>();

    @Override
    public void invoke(AreaHandleImportDTO areaHandleImportDTO, AnalysisContext analysisContext) {
        areaHandleImportDTO.setCompleteRate(areaHandleImportDTO.getCompleteRate().split("%")[0]);
        areaHandleImportDTO.setCompleteOnTimeRate(areaHandleImportDTO.getCompleteOnTimeRate().split("%")[0]);
        areaHandleImportDTO.setNetworkApplyRate(areaHandleImportDTO.getNetworkApplyRate().split("%")[0]);
        AreaHandle areaHandle = new AreaHandle();
        BeanUtil.copyProperties(areaHandleImportDTO,areaHandle);

        areaHandle.setDistrictName(GovernmentServiceEnum.DistrictEnum.getCodeByName(areaHandleImportDTO.getDistrictCode()));
        areaHandleList.add(areaHandle);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
