package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.characteristicThing.CharacteristicThingImportDTO;
import com.cqut.stack.bn.pojo.dto.electronicCertificate.ElectronicCertificateImportDTO;
import com.cqut.stack.bn.pojo.entity.CharacteristicThing;
import com.cqut.stack.bn.pojo.entity.ElectronicCertificate;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class CharacteristicThingListener implements ReadListener<CharacteristicThingImportDTO> {

    private final List<CharacteristicThing> characteristicThingList = new ArrayList<>();

    @Override
    public void invoke(CharacteristicThingImportDTO characteristicThingImportDTO, AnalysisContext analysisContext) {
        CharacteristicThing characteristicThing = new CharacteristicThing();
        BeanUtil.copyProperties(characteristicThingImportDTO,characteristicThing);

        characteristicThing.setDistrictName(GovernmentServiceEnum.DistrictEnum.getCodeByName(characteristicThingImportDTO.getDistrictCode()));
        characteristicThingList.add(characteristicThing);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
