package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.efficientThing.EfficientThingImportDTO;
import com.cqut.stack.bn.pojo.dto.electronicCertificate.ElectronicCertificateImportDTO;
import com.cqut.stack.bn.pojo.entity.EfficientThing;
import com.cqut.stack.bn.pojo.entity.ElectronicCertificate;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class EfficientThingListener implements ReadListener<EfficientThingImportDTO> {

    private final List<EfficientThing> efficientThingList = new ArrayList<>();

    @Override
    public void invoke(EfficientThingImportDTO efficientThingImportDTO, AnalysisContext analysisContext) {
        EfficientThing efficientThing = new EfficientThing();
        BeanUtil.copyProperties(efficientThingImportDTO,efficientThing);

        efficientThing.setDistrictName(GovernmentServiceEnum.DistrictEnum.getCodeByName(efficientThingImportDTO.getDistrictCode()));
        efficientThingList.add(efficientThing);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
