package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.electronicCertificate.ElectronicCertificateImportDTO;
import com.cqut.stack.bn.pojo.entity.ElectronicCertificate;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class ElectronicCertificateListener implements ReadListener<ElectronicCertificateImportDTO> {

    private final List<ElectronicCertificate> electronicCertificateList = new ArrayList<>();

    @Override
    public void invoke(ElectronicCertificateImportDTO electronicCertificateImportDTO, AnalysisContext analysisContext) {
        electronicCertificateImportDTO.setCertificateCreateProbability(electronicCertificateImportDTO.getCertificateCreateProbability().split("%")[0]);
        ElectronicCertificate electronicCertificate = new ElectronicCertificate();
        BeanUtil.copyProperties(electronicCertificateImportDTO,electronicCertificate);

        electronicCertificate.setDistrictName(GovernmentServiceEnum.DistrictEnum.getCodeByName(electronicCertificateImportDTO.getDistrictCode()));
        electronicCertificateList.add(electronicCertificate);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
