package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.electronicSeal.ElectronicSealInfoImportDTO;
import com.cqut.stack.bn.pojo.entity.ElectronicSeal;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class ElectronicSealListener implements ReadListener<ElectronicSealInfoImportDTO> {

    private final List<ElectronicSeal> electronicSealList = new ArrayList<>();

    @Override
    public void invoke(ElectronicSealInfoImportDTO electronicSealInfoImportDTO, AnalysisContext analysisContext) {
        ElectronicSeal electronicSeal = new ElectronicSeal();
        BeanUtil.copyProperties(electronicSealInfoImportDTO,electronicSeal);
        electronicSeal.setDistrictName(GovernmentServiceEnum.DistrictEnum.getCodeByName(electronicSealInfoImportDTO.getDistrictCode()));
        electronicSealList.add(electronicSeal);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
