package com.cqut.stack.bn.pojo.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.fourOfficeInfo.FourOfficeImportDTO;
import com.cqut.stack.bn.pojo.entity.FourOfficeInfo;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;


@Slf4j
@Getter
public class FourOfficeListener implements ReadListener<FourOfficeImportDTO> {
    private final List<FourOfficeInfo> fourOfficeInfoList =  new ArrayList<>();

    @Override
    public void invoke(FourOfficeImportDTO fourOfficeImportDTO, AnalysisContext analysisContext) {
        Integer districtCode = GovernmentServiceEnum.DistrictEnum.getCodeByName(fourOfficeImportDTO.getDistrictCode());
        FourOfficeInfo processNow = new FourOfficeInfo();
        processNow.setProcessType(0);
        processNow.setProcessCount(Integer.parseInt(fourOfficeImportDTO.getProcessNowCount()));
        processNow.setAccount(Double.parseDouble(fourOfficeImportDTO.getProcessNowAccount().split("%")[0]));
        processNow.setDistrictName(districtCode);
        FourOfficeInfo processNet = new FourOfficeInfo();
        processNet.setProcessType(1);
        processNet.setProcessCount(Integer.parseInt(fourOfficeImportDTO.getProcessNetCount()));
        processNet.setAccount(Double.parseDouble(fourOfficeImportDTO.getProcessNetAccount().split("%")[0]));
        processNet.setDistrictName(districtCode);
        FourOfficeInfo processOnce = new FourOfficeInfo();
        processOnce.setProcessType(2);
        processOnce.setProcessCount(Integer.parseInt(fourOfficeImportDTO.getProcessOnceCount()));
        processOnce.setAccount(Double.parseDouble(fourOfficeImportDTO.getProcessOnceAccount().split("%")[0]));
        processOnce.setDistrictName(districtCode);
        fourOfficeInfoList.add(processNow);
        fourOfficeInfoList.add(processNet);
        fourOfficeInfoList.add(processOnce);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
