package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.areaTransaction.AreaTransactionImportDTO;
import com.cqut.stack.bn.pojo.dto.resourceTrade.ResourceTransactionImportDTO;
import com.cqut.stack.bn.pojo.entity.AreaTransaction;
import com.cqut.stack.bn.pojo.entity.ResourceTransaction;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;


@Slf4j
@Getter
public class ResourceTransactionListener implements ReadListener<ResourceTransactionImportDTO> {
    private final List<ResourceTransaction> resourceTransactionList = new ArrayList<>();

    @Override
    public void invoke(ResourceTransactionImportDTO resourceTransactionImportDTO, AnalysisContext analysisContext) {
        ResourceTransaction resourceTransaction = new ResourceTransaction();
        BeanUtil.copyProperties(resourceTransactionImportDTO,resourceTransaction);
        resourceTransactionList.add(resourceTransaction);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
