package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.todayAcceptance.TodayAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.TodayAcceptance;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class TodayAcceptanceListener implements ReadListener<TodayAcceptanceImportDTO> {
    private final List<TodayAcceptance> todayAcceptancList = new ArrayList<>();

    @Override
    public void invoke(TodayAcceptanceImportDTO todayAcceptancImportDTO, AnalysisContext analysisContext) {
        TodayAcceptance todayAcceptance = new TodayAcceptance();
        BeanUtil.copyProperties(todayAcceptancImportDTO,todayAcceptance);
        todayAcceptancList.add(todayAcceptance);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}