package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.wordOrderDetail.WordOrderDetailImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.WordOrderDetail;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class WordOrderDetailListener implements ReadListener<WordOrderDetailImportDTO> {
    private final List<WordOrderDetail> hotlineAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(WordOrderDetailImportDTO wordOrderDetailImportDTO, AnalysisContext analysisContext) {
        WordOrderDetail wordOrderDetail = new WordOrderDetail();
        BeanUtil.copyProperties(wordOrderDetailImportDTO,wordOrderDetail);
        hotlineAcceptanceList.add(wordOrderDetail);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}