package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.workOrderCirculation.WorkOrderCirculationImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.WorkOrderCirculation;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class WorkOrderCirculationListener implements ReadListener<WorkOrderCirculationImportDTO> {
    private final List<WorkOrderCirculation> hotlineAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(WorkOrderCirculationImportDTO workOrderCirculationImportDTO, AnalysisContext analysisContext) {
        WorkOrderCirculation workOrderCirculation = new WorkOrderCirculation();
        BeanUtil.copyProperties(workOrderCirculationImportDTO,workOrderCirculation);
        hotlineAcceptanceList.add(workOrderCirculation);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
