package com.cqut.stack.bn.pojo.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.cqut.stack.bn.pojo.dto.hotlineAcceptance.HotlineAcceptanceImportDTO;
import com.cqut.stack.bn.pojo.dto.workOrder.WorkOrderImportDTO;
import com.cqut.stack.bn.pojo.entity.HotlineAcceptance;
import com.cqut.stack.bn.pojo.entity.WorkOrder;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
public class WorkOrderListener implements ReadListener<WorkOrderImportDTO> {
    private final List<WorkOrder> hotlineAcceptanceList = new ArrayList<>();

    @Override
    public void invoke(WorkOrderImportDTO workOrderImportDTO, AnalysisContext analysisContext) {
        WorkOrder workOrder = new WorkOrder();
        BeanUtil.copyProperties(workOrderImportDTO,workOrder);
        hotlineAcceptanceList.add(workOrder);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
