package com.cqut.stack.bn.service;

import com.cqut.stack.bn.pojo.dto.user.*;
import com.cqut.stack.bn.pojo.global.PaginationDTO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @Author: 罗舒月
 * @Description: 用户管理页面
 * @Date: Create in 19:27 2019/3/31
 */
public interface UserService {
    /**
     * 新增用户
     * @param user
     * @return
     */
    Boolean insertUser(InsertUserInputDTO user);

    /**
     * 获取所有的用户列表
     * @return
     */
    PageInfo<SelectUserListDTO> selectUserList(PaginationDTO input);

    /**
     * 更改用户状态
     * @param userId
     * @return
     */
    Boolean changeUserStatus(String userId);

    /**
     * 更改用户的角色信息
     * @return
     */
    Boolean changeUserRole(ChangeUserRoleInputDTO input);

    /**
     * 删除用户信息
     * @param userId
     * @return
     */
    Boolean deleteUser(String userId);

    /**
     * 根据用户ID获得用户详细信息
     * @param userId
     * @return
     */
    SelectByUserIdDTO selectByUserId(String userId);

    /**
     * 获取角色列表
     * @return
     */
    List<SelectRoleListDTO> selectRoleList();

    /**
     * 系统用户修改密码
     * @param input
     * @return
     */
    Boolean updatePassword(UpdatePasswordInputDTO input);
}
