package com.cqut.stack.bn.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.EasyExcel;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cqut.stack.bn.pojo.dto.areaEvaluate.AreaEvaluateImportDTO;
import com.cqut.stack.bn.pojo.dto.areaEvaluate.ImportAreaEvaluateInfoDTO;
import com.cqut.stack.bn.pojo.dto.fourOfficeInfo.FourOfficeImportDTO;
import com.cqut.stack.bn.pojo.entity.AreaEvaluate;
import com.cqut.stack.bn.dao.AreaEvaluateMapper;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import com.cqut.stack.bn.pojo.listener.AreaEvaluateListener;
import com.cqut.stack.bn.pojo.listener.FourOfficeListener;
import com.cqut.stack.bn.pojo.vo.areaEvaluate.GetAreaEvaluateInfoVO;
import com.cqut.stack.bn.service.AreaEvaluateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import jdk.nashorn.internal.ir.annotations.Reference;
import org.checkerframework.checker.units.qual.A;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

@Service
public class AreaEvaluateServiceImpl extends ServiceImpl<AreaEvaluateMapper, AreaEvaluate> implements AreaEvaluateService {

    @Resource
    private AreaEvaluateMapper areaEvaluateMapper;
    @Override
    public List<GetAreaEvaluateInfoVO> areaEvaluateService() {
        List<AreaEvaluate> areaEvaluateList = this.list();
        List<GetAreaEvaluateInfoVO> getAreaEvaluateInfoVOList = new ArrayList<>();
        for (AreaEvaluate areaEvaluate : areaEvaluateList) {
            GetAreaEvaluateInfoVO getAreaEvaluateInfoVO = new GetAreaEvaluateInfoVO();
            BeanUtil.copyProperties(areaEvaluate,getAreaEvaluateInfoVO);
            getAreaEvaluateInfoVO.setDistrictName(GovernmentServiceEnum.DistrictEnum.getNameByCode(areaEvaluate.getDistrictName()));
            getAreaEvaluateInfoVOList.add(getAreaEvaluateInfoVO);
        }
        return getAreaEvaluateInfoVOList;
    }

    @Override
    public void importAreaEvaluateInfo(ImportAreaEvaluateInfoDTO dto) {
        // 删除所有旧数据
        areaEvaluateMapper.deleteAll();
        AreaEvaluateListener areaEvaluateListener = new AreaEvaluateListener();
        FourOfficeListener fourOfficeListener = new FourOfficeListener();
        try {
            EasyExcel.read(dto.getMultipartFile().getInputStream(), AreaEvaluateImportDTO.class, areaEvaluateListener)
                    .headRowNumber(1).sheet().doRead();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        this.saveBatch(areaEvaluateListener.getAreaEvaluateList());
    }
}
