package com.cqut.stack.bn.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.excel.EasyExcel;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cqut.stack.bn.dao.FourOfficeInfoMapper;
import com.cqut.stack.bn.pojo.dto.areaHandle.AreaHandleImportDTO;
import com.cqut.stack.bn.pojo.dto.areaHandle.GetAreaEvaluateInfoDTO;
import com.cqut.stack.bn.pojo.dto.areaHandle.ImportAreaHandleInfoDTO;
import com.cqut.stack.bn.pojo.dto.fourOfficeInfo.FourOfficeImportDTO;
import com.cqut.stack.bn.pojo.entity.AreaEvaluate;
import com.cqut.stack.bn.pojo.entity.AreaHandle;
import com.cqut.stack.bn.dao.AreaHandleMapper;
import com.cqut.stack.bn.pojo.enums.GovernmentServiceEnum;
import com.cqut.stack.bn.pojo.listener.AreaHandleListener;
import com.cqut.stack.bn.pojo.listener.FourOfficeListener;
import com.cqut.stack.bn.pojo.vo.areaEvaluate.GetAreaEvaluateInfoVO;
import com.cqut.stack.bn.pojo.vo.areaHandle.GetAreaHandleInfoVO;
import com.cqut.stack.bn.service.AreaHandleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.checkerframework.checker.units.qual.A;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@Service
public class AreaHandleServiceImpl extends ServiceImpl<AreaHandleMapper, AreaHandle> implements AreaHandleService {

    @Resource
    private AreaHandleMapper areaHandleMapper;
    @Override
    public GetAreaHandleInfoVO getAreaHandleInfo(GetAreaEvaluateInfoDTO dto) {
        LambdaQueryWrapper<AreaHandle> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(AreaHandle::getDistrictName,dto.getAreaName());
        List<AreaHandle> areaHandleList = this.list(queryWrapper);
        if(CollectionUtil.isEmpty(areaHandleList))
            return null;
        GetAreaHandleInfoVO getAreaHandleInfoVO = new GetAreaHandleInfoVO();
        BeanUtil.copyProperties(areaHandleList.get(0),getAreaHandleInfoVO);
        getAreaHandleInfoVO.setDistrictName(GovernmentServiceEnum.DistrictEnum.getNameByCode(areaHandleList.get(0).getDistrictName()));
       return getAreaHandleInfoVO;
    }

    @Override
    public void importAreaHandleInfo(ImportAreaHandleInfoDTO dto) {
        // 删除所有旧数据
        areaHandleMapper.deleteAll();
        AreaHandleListener areaHandleListener = new AreaHandleListener();
        try {
            EasyExcel.read(dto.getMultipartFile().getInputStream(), AreaHandleImportDTO.class, areaHandleListener)
                    .headRowNumber(2).sheet().doRead();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        this.saveBatch(areaHandleListener.getAreaHandleList());
    }
}
