package com.cqut.stack.bn.service.impl;

import com.cqut.stack.bn.pojo.entity.Attachment;
import com.cqut.stack.bn.dao.AttachmentMapper;
import com.cqut.stack.bn.service.AttachmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cqut.stack.bn.util.MinioUtil;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.time.LocalDateTime;

@Service
public class AttachmentServiceImpl extends ServiceImpl<AttachmentMapper, Attachment> implements AttachmentService {

    @Resource
    private MinioUtil minioUtil;

    @Override
    public void uploadAttachment(MultipartFile multipartFile,Integer businessId) {
        Attachment attachment = minioUtil.uploadFile(multipartFile);
        attachment.setBusinessId(businessId);
        attachment.setCreateTime(LocalDateTime.now());
        attachment.setUpdateTime(LocalDateTime.now());
        this.save(attachment);
    }

    @Override
    public void deleteAttachment(Integer attachId) {
        Attachment attachment = this.getById(attachId);
        minioUtil.deleteFile(attachment.getObjName());
        this.removeById(attachId);
    }
}
