package com.cqut.stack.bn.service.impl;

import com.alibaba.excel.EasyExcel;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cqut.stack.bn.pojo.dto.areaTransaction.AreaTransactionImportDTO;
import com.cqut.stack.bn.pojo.dto.base.ExcelImportDTO;
import com.cqut.stack.bn.pojo.dto.districtHandle.DistrictHandleImportDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.dto.hotlineDeptAcceptance.GetHotlineDeptAcceptanceDTO;
import com.cqut.stack.bn.pojo.entity.DistrictHandle;
import com.cqut.stack.bn.pojo.listener.AreaTransactionListener;
import com.cqut.stack.bn.pojo.listener.DistrictHandleListener;
import com.cqut.stack.bn.service.DistrictHandleService;
import com.cqut.stack.bn.dao.DistrictHandleMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.List;

@Service
public class DistrictHandleServiceImpl extends ServiceImpl<DistrictHandleMapper, DistrictHandle>
    implements DistrictHandleService{

    @Resource
    private DistrictHandleMapper districtHandleMapper;

    @Override
    public List<DistrictHandle> getDistrictHandle(DateDTO dateDTO) {
        LambdaQueryWrapper<DistrictHandle> queryWrapper = new LambdaQueryWrapper<>();
        if(dateDTO.getStartDate()!=null)
            queryWrapper.ge(DistrictHandle::getStatDate,dateDTO.getStartDate());
        if(dateDTO.getEndDate()!=null)
            queryWrapper.le(DistrictHandle::getStatDate,dateDTO.getEndDate());
        PageHelper.startPage(dateDTO.getPageNum(),dateDTO.getPageSize());
        return this.list(queryWrapper);
    }

    @Override
    public void importDistrictHandle(ExcelImportDTO dto) {
        // 删除所有旧数据
        districtHandleMapper.deleteAll();
        DistrictHandleListener districtHandleListener = new DistrictHandleListener();
        try {
            EasyExcel.read(dto.getMultipartFile().getInputStream(), DistrictHandleImportDTO.class, districtHandleListener)
                    .headRowNumber(1).sheet().doRead();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        this.saveBatch(districtHandleListener.getDistrictHandleList());
    }
}




