package com.cqut.stack.bn.service.impl;

import com.cqut.stack.bn.service.UserDetailService;
import com.cqut.stack.bn.dao.UserMapper;
import com.cqut.stack.bn.pojo.dto.permission.PermissionDTO;
import com.cqut.stack.bn.pojo.entity.user.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class UserDetailServiceImpl implements UserDetailService{

    @Autowired
    private UserMapper userMapper;

    /**
     * 根据账号查看用户是否存在
     * @param user
     * @return
     */
    @Override
    public Boolean checkAccount(User user) {
        return userMapper.checkAccount(user.getAccount());
    }

    /**
     * 根据用户信息返回菜单路由
     * @param account
     * @return
     */
    @Override
    public List<PermissionDTO> selectPermissionListByUser(String account) {
        Boolean result = userMapper.checkAccount(account);

        if(result == false){
            return null;
        }

        List<String> permissionIds = userMapper.selectPermissionId(account);
        return userMapper.selectPermissionListByUser(permissionIds);
    }
}
