package com.cqut.stack.bn.timeTask;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cqut.stack.bn.pojo.entity.DatabaseTable;
import com.cqut.stack.bn.service.DatabaseTableService;
import com.cqut.stack.bn.service.MetadataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Component
@EnableScheduling
public class SynchronizeDataTask {

    @Resource
    private DatabaseTableService databaseTableService;

    @Resource
    private MetadataService metadataService;

    /**
     * 每天晚上一点执行一次
     */
    @Scheduled(cron = "0 0 1 * * ?")
    public void SynchronizeHotline(){
        System.err.println("*********   开始同步12345数据   **************");
        // 1、查询12345所有数据表
        LambdaQueryWrapper<DatabaseTable> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DatabaseTable::getOwnerType,0);
        List<DatabaseTable> databaseTableList = databaseTableService.list(queryWrapper);
        // 2、循环同步数据
        for (DatabaseTable databaseTable : databaseTableList) {
            metadataService.synchronizeData(databaseTable.getId());
        }
        System.err.println("*********   同步12345数据完成   **************");
    }

    /**
     * 每天晚上一点执行一次
     */
    @Scheduled(cron = "0 0 2 * * ?")
    public void SynchronizeResourceTrade(){
        System.err.println("*********   开始同步12345数据   **************");
        // 1、查询12345所有数据表
        LambdaQueryWrapper<DatabaseTable> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DatabaseTable::getOwnerType,1);
        List<DatabaseTable> databaseTableList = databaseTableService.list(queryWrapper);
        // 2、循环同步数据
        for (DatabaseTable databaseTable : databaseTableList) {
            metadataService.synchronizeData(databaseTable.getId());
        }
        System.err.println("*********   同步12345数据完成   **************");
    }

    /**
     * 每天晚上一点执行一次
     */
    @Scheduled(cron = "0 0 3 * * ?")
    public void SynchronizeGovernmentService(){
        System.err.println("*********   开始同步12345数据   **************");
        // 1、查询12345所有数据表
        LambdaQueryWrapper<DatabaseTable> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DatabaseTable::getOwnerType,2);
        List<DatabaseTable> databaseTableList = databaseTableService.list(queryWrapper);
        // 2、循环同步数据
        for (DatabaseTable databaseTable : databaseTableList) {
            metadataService.synchronizeData(databaseTable.getId());
        }
        System.err.println("*********   同步12345数据完成   **************");
    }
}
