package com.cqut.stack.bn.util;

import com.baomidou.mybatisplus.core.toolkit.StringPool;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.InjectionConfig;
import com.baomidou.mybatisplus.generator.config.*;
import com.baomidou.mybatisplus.generator.config.po.TableInfo;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;

import java.util.ArrayList;
import java.util.List;

/**
 * MybatisPlus代码生成器
 */
public class MybatisPlusAutoGenerator {
    public static void main(String[] args) {
        // 代码生成器
        AutoGenerator mpg = new AutoGenerator();

        GlobalConfig gc = new GlobalConfig();
        // 获取当前项目的绝对路径
        String projectPath = System.getProperty("user.dir");
        //生成文件路径
        gc.setOutputDir(projectPath + "/src/main/java");
        /**
         * 设置用户名@author
         */
//        gc.setAuthor("wanxing");
        //数据库时间类型 到 实体类时间类型 对应策略
        gc.setDateType(DateType.ONLY_DATE);
        //生成后是否打开资源管理器，就是打开本地文件夹
        gc.setOpen(false);
        // 自定义文件命名，注意 %s 会自动填充表实体属性！
        // service 命名方式
        gc.setServiceName("%sService");
        // service impl 命名方式
        gc.setServiceImplName("%sServiceImpl");
        //mapper 命名方式
        gc.setMapperName("%sMapper");
        //mapper.xml 命名方式
        gc.setXmlName("%sMapper");
        /**
         * 设置文件覆盖，后一次生成的文件会覆盖前一次生成的同名文件
         */
        gc.setFileOverride(true);
        //生成基本ResultMap
        gc.setBaseResultMap(true);
        //生成公共的、由所有列名组成的Sql片段
        gc.setBaseColumnList(true);
        //开启Swagger2模式
        gc.setSwagger2(true);
        mpg.setGlobalConfig(gc);

        //是否支持AR模式，实体类只需要继承Model类即可进行强大的CRUD操作
        //gc.setActiveRecord(true);
        // 是否在 xml 中添加二级缓存配置
        //gc.setEnableCache(false);

        /**
         * 数据源配置
         */
        DataSourceConfig dsc = new DataSourceConfig();
        dsc.setUrl("jdbc:mysql://47.109.199.163:3306/bazhong-new");
        dsc.setDriverName("com.mysql.cj.jdbc.Driver");
        dsc.setUsername("root");
        dsc.setPassword("Su28092015__");
        mpg.setDataSource(dsc);

        /**
         * 包配置
         */
        PackageConfig pc = new PackageConfig();
        pc.setParent("com.cqut.stack.bn.generator");
        pc.setEntity("entity");
        pc.setService("service");
        pc.setServiceImpl("service.impl");
        pc.setMapper("dao");
        pc.setController("controller");
        mpg.setPackageInfo(pc);

        /**
         * 自定义mapper.xml
         */
        InjectionConfig cfg = new InjectionConfig() {
            @Override
            public void initMap() {
                // to do nothing
            }
        };
        List<FileOutConfig> focList = new ArrayList<>();
        focList.add(new FileOutConfig("/templates/mapper.xml.vm") {
            @Override
            public String outputFile(TableInfo tableInfo) {
                // 自定义输入文件名称
                return projectPath + "/src/main/resources/mapper/"
                        + "/" + tableInfo.getEntityName() + "Mapper" + StringPool.DOT_XML;
            }
        });
        cfg.setFileOutConfigList(focList);
        mpg.setCfg(cfg);
        mpg.setTemplate(new TemplateConfig().setXml(null));

        // 策略配置
        StrategyConfig strategy = new StrategyConfig();
        /**
         * 指定生成的bean的数据库表名
         */
        strategy.setInclude("remote_interface_info");
        // 表映射到实体类的命名策略：下划线转驼峰
        strategy.setNaming(NamingStrategy.underline_to_camel);
        // 列名命名策略：下划线转驼峰
        strategy.setColumnNaming(NamingStrategy.underline_to_camel);
        // 设置Controller基于RESTFUL风格
        strategy.setRestControllerStyle(true);
        // 实体 是否为lombok模型（默认 false
        strategy.setEntityLombokModel(true);
        // 给 entity 添加 TableField 注解
        strategy.setEntityTableFieldAnnotationEnable(true);
        /**
         * 设置逻辑删除键
         */
        //strategy.setLogicDeleteFieldName("deleted");
        /**
         * 设置乐观锁字段名
         */
        //.setVersionFieldName("version");
        // 设置url中驼峰转连字符
        strategy.setControllerMappingHyphenStyle(true);

        /**
         * 自动填充
         */
        /*TableFill tableFill = new TableFill("create_time", FieldFill.INSERT);
        TableFill tableFill2= new TableFill("create_time", FieldFill.INSERT_UPDATE);
        TableFill tableFill3= new TableFill("update_time", FieldFill.INSERT_UPDATE);
        List<TableFill> arr = new ArrayList<>();
        arr.add(tableFill);
        arr.add(tableFill2);
        arr.add(tableFill3);
        strategy.setTableFillList(arr);*/

        mpg.setStrategy(strategy);
        mpg.execute();
        System.out.println("文件生成成功！！！");
    }
}

