package com.cqut.stack.bn.util.jsonResult;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class PageMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 第几页(默认第一页)
     */
    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    /**
     * 每页显示多少条记录(默认每页10条)
     */
    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

    /**
     * 总记录数
     */
    @ApiModelProperty(value = "总记录数")
    private long total;

    /**
     * 总记录数
     */
    @ApiModelProperty(value = "总记录页数")
    private int pages;

    /**
     * 前一页
     */
    @ApiModelProperty(value = "前一页")
    private int prePage;

    /**
     * 下一页
     */
    @ApiModelProperty(value = "下一页")
    private int nextPage;

}
